Get Transaction Overview
curl --request GET \
--url https://api.eflow.team/v1/networks/reporting/transactions/{transactionId} \
--header 'X-Eflow-Api-Key: <api-key>'import requests
url = "https://api.eflow.team/v1/networks/reporting/transactions/{transactionId}"
headers = {"X-Eflow-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Eflow-Api-Key': '<api-key>'}};
fetch('https://api.eflow.team/v1/networks/reporting/transactions/{transactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"click": {
"transaction_id": "<string>",
"unix_timestamp": 123,
"is_unique": 123,
"tracking_url": "<string>",
"url": "<string>",
"source_id": "<string>",
"sub1": "<string>",
"sub2": "<string>",
"sub3": "<string>",
"sub4": "<string>",
"sub5": "<string>",
"sub6": "<string>",
"sub7": "<string>",
"sub8": "<string>",
"sub9": "<string>",
"sub10": "<string>",
"user_ip": "<string>",
"referer": "<string>",
"payout": 123,
"payout_type": "<string>",
"revenue": 123,
"revenue_type": "<string>",
"error_code": 123,
"error_message": "<string>",
"error_filter_id": "<string>",
"is_view_through": true,
"is_test_mode": true,
"is_async": true,
"is_sdk_click": true,
"is_pass_through": true,
"has_conversion": true,
"creative_id": 123,
"currency_id": "<string>",
"coupon_code": "<string>",
"idfa": "<string>",
"idfa_md5": "<string>",
"idfa_sha1": "<string>",
"google_ad_id": "<string>",
"google_ad_id_md5": "<string>",
"google_ad_id_sha1": "<string>",
"android_id": "<string>",
"android_id_md5": "<string>",
"android_id_sha1": "<string>",
"category_id": 123,
"project_id": "<string>",
"previous_network_offer_id": 123,
"custom_landing_page_id": 123,
"redirect_method": "<string>",
"server_side_url": "<string>",
"server_side_output": "<string>",
"relationship": {
"offer": {
"network_offer_id": 123,
"network_id": 123,
"network_advertiser_id": 123,
"network_offer_group_id": 123,
"network_tracking_domain_id": 123,
"name": "<string>",
"offer_status": "<string>",
"visibility": "<string>",
"currency_id": "<string>"
},
"advertiser": {
"network_advertiser_id": 123,
"network_id": 123,
"name": "<string>",
"account_status": "<string>"
},
"affiliate": {
"network_affiliate_id": 123,
"network_id": 123,
"network_traffic_source_id": 123,
"name": "<string>",
"account_status": "<string>"
},
"account_manager": {
"network_employee_id": 123,
"network_id": 123,
"first_name": "<string>",
"last_name": "<string>",
"full_name": "<string>",
"account_status": "<string>"
},
"affiliate_manager": {
"network_employee_id": 123,
"network_id": 123,
"first_name": "<string>",
"last_name": "<string>",
"full_name": "<string>",
"account_status": "<string>"
},
"geolocation": {
"country_code": "<string>",
"country_name": "<string>",
"region_code": "<string>",
"region_name": "<string>",
"city_name": "<string>",
"postal_code": "<string>",
"dma": 123,
"dma_name": "<string>",
"timezone": "<string>",
"isp_name": "<string>",
"organization": "<string>",
"carrier_code": "<string>",
"carrier_name": "<string>",
"is_mobile": true,
"is_proxy": true
},
"device_information": {
"platform_name": "<string>",
"browser_name": "<string>",
"browser_version": "<string>",
"device_type": "<string>",
"model": "<string>",
"brand": "<string>",
"os_version": "<string>",
"language": "<string>",
"http_accept_language": "<string>",
"is_mobile": true,
"is_tablet": true,
"is_robot": true,
"is_filter": true
},
"offer_group": {
"network_offer_group_id": 123,
"network_id": 123,
"network_advertiser_id": 123,
"name": "<string>",
"offer_group_status": "<string>",
"offer_count": 123
},
"forensiq_score": "<string>",
"http_accept_language": "<string>",
"http_user_agent": "<string>",
"redirect_url": "<string>",
"query_parameters": {}
}
},
"conversions": {
"total": 123,
"entries": [
{
"conversion_id": "<string>",
"conversion_unix_timestamp": 123,
"click_unix_timestamp": 123,
"payout_type": "<string>",
"revenue_type": "<string>",
"payout": 123,
"revenue": 123,
"sale_amount": 123,
"sub1": "<string>",
"sub2": "<string>",
"sub3": "<string>",
"sub4": "<string>",
"sub5": "<string>",
"sub6": "<string>",
"sub7": "<string>",
"sub8": "<string>",
"sub9": "<string>",
"sub10": "<string>",
"source_id": "<string>",
"adv1": "<string>",
"adv2": "<string>",
"adv3": "<string>",
"adv4": "<string>",
"adv5": "<string>",
"adv6": "<string>",
"adv7": "<string>",
"adv8": "<string>",
"adv9": "<string>",
"adv10": "<string>",
"session_user_ip": "<string>",
"conversion_user_ip": "<string>",
"is_event": true,
"event": "<string>",
"notes": "<string>",
"transaction_id": "<string>",
"currency_id": "<string>",
"email": "<string>",
"is_view_through": true,
"is_scrub": true,
"error_code": 123,
"error_message": "<string>",
"coupon_code": "<string>",
"order_id": "<string>",
"url": "<string>",
"isp": "<string>",
"referer": "<string>",
"app_id": "<string>",
"idfa": "<string>",
"idfa_md5": "<string>",
"idfa_sha1": "<string>",
"google_ad_id": "<string>",
"google_ad_id_md5": "<string>",
"google_ad_id_sha1": "<string>",
"android_id": "<string>",
"android_id_md5": "<string>",
"android_id_sha1": "<string>",
"country": "<string>",
"region": "<string>",
"city": "<string>",
"dma": 123,
"carrier": "<string>",
"platform": "<string>",
"os_version": "<string>",
"device_type": "<string>",
"device_model": "<string>",
"brand": "<string>",
"browser": "<string>",
"language": "<string>",
"http_user_agent": "<string>",
"previous_network_offer_id": 123,
"network_offer_payout_revenue_id": 123,
"relationship": {
"offer": {
"network_offer_id": 123,
"network_id": 123,
"name": "<string>",
"offer_status": "<string>"
},
"advertiser": {
"network_advertiser_id": 123,
"network_id": 123,
"name": "<string>",
"account_status": "<string>"
},
"affiliate": {
"network_affiliate_id": 123,
"network_id": 123,
"name": "<string>",
"account_status": "<string>"
},
"account_manager": {
"network_employee_id": 123,
"network_id": 123,
"first_name": "<string>",
"last_name": "<string>",
"full_name": "<string>",
"account_status": "<string>"
},
"affiliate_manager": {
"network_employee_id": 123,
"network_id": 123,
"first_name": "<string>",
"last_name": "<string>",
"full_name": "<string>",
"account_status": "<string>"
},
"offer_group": {
"network_offer_group_id": 123,
"network_id": 123,
"network_advertiser_id": 123,
"name": "<string>",
"offer_group_status": "<string>",
"offer_count": 123
},
"attribution_method": "<string>",
"query_parameters": {},
"usm_data": {}
}
}
]
},
"pixels": {
"total": 123,
"entries": [
{
"pixel_id": 123,
"conversion_id": "<string>",
"transaction_id": "<string>",
"timestamp": 123,
"delivery_method": "<string>",
"pixel_status": "<string>",
"pixel_type": "<string>",
"payload": "<string>",
"is_success": true,
"debug_information": "<string>",
"failed_attempts": 123
}
]
},
"raw_click": "<string>",
"on_hold_conversions": {
"total": 123,
"entries": [
{}
]
}
}Transactions
Get Transaction Overview
GET
/
networks
/
reporting
/
transactions
/
{transactionId}
Get Transaction Overview
Full flowchart of all events for a transaction. Shows the click, conversions, postback delivery, and on-hold conversions.
Authorizations
The Everflow API key generated from the Control Center > Security.
Path Parameters
32-character transaction ID.
Was this page helpful?
⌘I
